SETSID(2)

NAME
setsid, getpgrp - create process group, get process group id

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>
pid_t setsid(void)
pid_t getpgrp(void)

DESCRIPTION
Setsid() creates a new session if the calling process is not already a session leader. The calling process becomes the session leader of a new process group and the process group ID of this new process group will be equal to the process ID of the new session leader. The process group ID is inherited on a fork(2).

Getpgrp() returns the process group ID of the calling process.

SEE ALSO
kill(2), termios(3), tty(4).

DIAGNOSTICS
Setsid() returns the new process group ID on success, or -1 with errno set to EPERM if the process is already a session leader.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)